package main

import "math"
import "fmt"

func isPrime(x int) bool {
  var d int
  for d = 2; d < x; d++ {
    if x % d == 0 {
      break
    }
  }
  return d == x
}


func main() {
  pin := 0
  for n := 1;; n++ {
      if isPrime(n) {
        pin++
      }
      expected := float64(n) / math.Log(float64(n))
      actual := pin
      fmt.Print(n, "\t", actual, "\t", expected, "\t", float64(actual) / expected )
      fmt.Println()
  }
}
